[ARVADOS] updated: 1.3.0-2145-g1963a6aaf
Git user
git at public.arvados.org
Mon Feb 10 16:10:00 UTC 2020
Summary of changes:
build/run-library.sh | 8 ++++----
1 file changed, 4 insertions(+), 4 deletions(-)
via 1963a6aaf39f99bfd56264aeded298501eb8c3d4 (commit)
from 04332347f3cca9e3aad62c7e67fe981e818b918c (commit)
Those revisions listed above that are new to this repository have
not appeared on any other notification email; so we list those
revisions in full, below.
commit 1963a6aaf39f99bfd56264aeded298501eb8c3d4
Author: Peter Amstutz <peter.amstutz at curii.com>
Date: Mon Feb 10 11:09:36 2020 -0500
Set upper version of setuptools for Python 2 support
no issue #
Arvados-DCO-1.1-Signed-off-by: Peter Amstutz <peter.amstutz at curii.com>
diff --git a/build/run-library.sh b/build/run-library.sh
index 5b1dde46a..ac5dc718b 100755
--- a/build/run-library.sh
+++ b/build/run-library.sh
@@ -475,9 +475,9 @@ fpm_build_virtualenv () {
rm -rf dist/*
# Get the latest setuptools
- if ! $pip install $DASHQ_UNLESS_DEBUG $CACHE_FLAG -U setuptools; then
+ if ! $pip install $DASHQ_UNLESS_DEBUG $CACHE_FLAG -U 'setuptools<45'; then
echo "Error, unable to upgrade setuptools with"
- echo " $pip install $DASHQ_UNLESS_DEBUG $CACHE_FLAG -U setuptools"
+ echo " $pip install $DASHQ_UNLESS_DEBUG $CACHE_FLAG -U 'setuptools<45'"
exit 1
fi
# filter a useless warning (when building the cwltest package) from the stderr output
@@ -532,9 +532,9 @@ fpm_build_virtualenv () {
fi
echo "pip version: `build/usr/share/$python/dist/$PYTHON_PKG/bin/$pip --version`"
- if ! build/usr/share/$python/dist/$PYTHON_PKG/bin/$pip install $DASHQ_UNLESS_DEBUG $CACHE_FLAG -U setuptools; then
+ if ! build/usr/share/$python/dist/$PYTHON_PKG/bin/$pip install $DASHQ_UNLESS_DEBUG $CACHE_FLAG -U 'setuptools<45'; then
echo "Error, unable to upgrade setuptools with"
- echo " build/usr/share/$python/dist/$PYTHON_PKG/bin/$pip install $DASHQ_UNLESS_DEBUG $CACHE_FLAG -U setuptools"
+ echo " build/usr/share/$python/dist/$PYTHON_PKG/bin/$pip install $DASHQ_UNLESS_DEBUG $CACHE_FLAG -U 'setuptools<45'"
exit 1
fi
echo "setuptools version: `build/usr/share/$python/dist/$PYTHON_PKG/bin/$python -c 'import setuptools; print(setuptools.__version__)'`"
-----------------------------------------------------------------------
hooks/post-receive
--
More information about the arvados-commits
mailing list